Subject: bug#1489: gud.el not working with idb

From: Chong Yidong <[email-masked]>
Date: Thu, 04 Dec 2008 23:20:59 -0500

> I just recompiled emacs (latest version from CVS) but I noticed that
> gud.el is not working anymore when used in combination with the intel
> idb debugger.  After "M-x gdb" I provide the debugger command "idb
> -gdb -fullname myexe" (as reported on the idb manual) and the main gud
> window is loaded. At this point, whatever I do gud just hangs.

I don't have idb available, so I can only try to guess what went wrong.
First of all, does anything change if you change the variable
gud-gdb-command-name from "gdb --fullname" to "gdb --annotate=3"?